Skip to content
Start here

Create a meeting

client.RealtimeKit.Meetings.New(ctx, appID, params) (*MeetingNewResponse, error)
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings

Create a meeting for the given App ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
params MeetingNewParams
AccountID param.Field[string]

Path param: The account identifier tag.

maxLength32
AIConfig param.Field[MeetingNewParamsAIConfig]optional

Body param: The AI Config allows you to customize the behavior of meeting transcriptions and summaries

Summarization MeetingNewParamsAIConfigSummarizationoptional

Summary Config

SummaryType MeetingNewParamsAIConfigSummarizationSummaryTypeoptional

Defines the style of the summary, such as general, team meeting, or sales call.

One of the following:
const MeetingNewParamsAIConfigSummarizationSummaryTypeGeneral MeetingNewParamsAIConfigSummarizationSummaryType = "general"
const MeetingNewParamsAIConfigSummarizationSummaryTypeTeamMeeting MeetingNewParamsAIConfigSummarizationSummaryType = "team_meeting"
const MeetingNewParamsAIConfigSummarizationSummaryTypeSalesCall MeetingNewParamsAIConfigSummarizationSummaryType = "sales_call"
const MeetingNewParamsAIConfigSummarizationSummaryTypeClientCheckIn MeetingNewParamsAIConfigSummarizationSummaryType = "client_check_in"
const MeetingNewParamsAIConfigSummarizationSummaryTypeInterview MeetingNewParamsAIConfigSummarizationSummaryType = "interview"
const MeetingNewParamsAIConfigSummarizationSummaryTypeDailyStandup MeetingNewParamsAIConfigSummarizationSummaryType = "daily_standup"
const MeetingNewParamsAIConfigSummarizationSummaryTypeOneOnOneMeeting MeetingNewParamsAIConfigSummarizationSummaryType = "one_on_one_meeting"
const MeetingNewParamsAIConfigSummarizationSummaryTypeLecture MeetingNewParamsAIConfigSummarizationSummaryType = "lecture"
const MeetingNewParamsAIConfigSummarizationSummaryTypeCodeReview MeetingNewParamsAIConfigSummarizationSummaryType = "code_review"
TextFormat MeetingNewParamsAIConfigSummarizationTextFormatoptional

Determines the text format of the summary, such as plain text or markdown.

One of the following:
const MeetingNewParamsAIConfigSummarizationTextFormatPlainText MeetingNewParamsAIConfigSummarizationTextFormat = "plain_text"
const MeetingNewParamsAIConfigSummarizationTextFormatMarkdown MeetingNewParamsAIConfigSummarizationTextFormat = "markdown"
WordLimit int64optional

Sets the maximum number of words in the meeting summary.

maximum1000
minimum150
Transcription MeetingNewParamsAIConfigTranscriptionoptional

Transcription Configurations

Keywords []stringoptional

Adds specific terms to improve accurate detection during transcription.

Language MeetingNewParamsAIConfigTranscriptionLanguageoptional

Specifies the language code for transcription to ensure accurate results.

One of the following:
const MeetingNewParamsAIConfigTranscriptionLanguageEnUs MeetingNewParamsAIConfigTranscriptionLanguage = "en-US"
const MeetingNewParamsAIConfigTranscriptionLanguageEnIn MeetingNewParamsAIConfigTranscriptionLanguage = "en-IN"
const MeetingNewParamsAIConfigTranscriptionLanguageDe MeetingNewParamsAIConfigTranscriptionLanguage = "de"
const MeetingNewParamsAIConfigTranscriptionLanguageHi MeetingNewParamsAIConfigTranscriptionLanguage = "hi"
const MeetingNewParamsAIConfigTranscriptionLanguageSv MeetingNewParamsAIConfigTranscriptionLanguage = "sv"
const MeetingNewParamsAIConfigTranscriptionLanguageRu MeetingNewParamsAIConfigTranscriptionLanguage = "ru"
const MeetingNewParamsAIConfigTranscriptionLanguagePl MeetingNewParamsAIConfigTranscriptionLanguage = "pl"
const MeetingNewParamsAIConfigTranscriptionLanguageEl MeetingNewParamsAIConfigTranscriptionLanguage = "el"
const MeetingNewParamsAIConfigTranscriptionLanguageFr MeetingNewParamsAIConfigTranscriptionLanguage = "fr"
const MeetingNewParamsAIConfigTranscriptionLanguageNl MeetingNewParamsAIConfigTranscriptionLanguage = "nl"
ProfanityFilter booloptional

Control the inclusion of offensive language in transcriptions.

LiveStreamOnStart param.Field[bool]optional

Body param: Specifies if the meeting should start getting livestreamed on start.

PersistChat param.Field[bool]optional

Body param: If a meeting is set to persist_chat, meeting chat would remain for a week within the meeting space.

RecordOnStart param.Field[bool]optional

Body param: Specifies if the meeting should start getting recorded as soon as someone joins the meeting.

RecordingConfig param.Field[MeetingNewParamsRecordingConfig]optional

Body param: Recording Configurations to be used for this meeting. This level of configs takes higher preference over App level configs on the RealtimeKit developer portal.

AudioConfig MeetingNewParamsRecordingConfigAudioConfigoptional

Object containing configuration regarding the audio that is being recorded.

Channel MeetingNewParamsRecordingConfigAudioConfigChanneloptional

Audio signal pathway within an audio file that carries a specific sound source.

One of the following:
const MeetingNewParamsRecordingConfigAudioConfigChannelMono MeetingNewParamsRecordingConfigAudioConfigChannel = "mono"
const MeetingNewParamsRecordingConfigAudioConfigChannelStereo MeetingNewParamsRecordingConfigAudioConfigChannel = "stereo"
Codec MeetingNewParamsRecordingConfigAudioConfigCodecoptional

Codec using which the recording will be encoded. If VP8/VP9 is selected for videoConfig, changing audioConfig is not allowed. In this case, the codec in the audioConfig is automatically set to vorbis.

One of the following:
const MeetingNewParamsRecordingConfigAudioConfigCodecMP3 MeetingNewParamsRecordingConfigAudioConfigCodec = "MP3"
const MeetingNewParamsRecordingConfigAudioConfigCodecAac MeetingNewParamsRecordingConfigAudioConfigCodec = "AAC"
ExportFile booloptional

Controls whether to export audio file seperately

FileNamePrefix stringoptional

Adds a prefix to the beginning of the file name of the recording.

LiveStreamingConfig MeetingNewParamsRecordingConfigLiveStreamingConfigoptional
RtmpURL stringoptional

RTMP URL to stream to

formaturi
MaxSeconds float64optional

Specifies the maximum duration for recording in seconds, ranging from a minimum of 60 seconds to a maximum of 24 hours.

maximum86400
minimum60
RealtimekitBucketConfig MeetingNewParamsRecordingConfigRealtimekitBucketConfigoptional
Enabled bool

Controls whether recordings are uploaded to RealtimeKit's bucket. If set to false, download_url, audio_download_url, download_url_expiry won't be generated for a recording.

StorageConfig MeetingNewParamsRecordingConfigStorageConfigoptional
Type MeetingNewParamsRecordingConfigStorageConfigType

Type of storage media.

One of the following:
const MeetingNewParamsRecordingConfigStorageConfigTypeAws MeetingNewParamsRecordingConfigStorageConfigType = "aws"
const MeetingNewParamsRecordingConfigStorageConfigTypeAzure MeetingNewParamsRecordingConfigStorageConfigType = "azure"
const MeetingNewParamsRecordingConfigStorageConfigTypeDigitalocean MeetingNewParamsRecordingConfigStorageConfigType = "digitalocean"
const MeetingNewParamsRecordingConfigStorageConfigTypeGcs MeetingNewParamsRecordingConfigStorageConfigType = "gcs"
const MeetingNewParamsRecordingConfigStorageConfigTypeSftp MeetingNewParamsRecordingConfigStorageConfigType = "sftp"
AccessKey stringoptional

Access key of the storage medium. Access key is not required for the gcs storage media type.

Note that this field is not readable by clients, only writeable.

AuthMethod MeetingNewParamsRecordingConfigStorageConfigAuthMethodoptional

Authentication method used for "sftp" type storage medium

One of the following:
const MeetingNewParamsRecordingConfigStorageConfigAuthMethodKey MeetingNewParamsRecordingConfigStorageConfigAuthMethod = "KEY"
const MeetingNewParamsRecordingConfigStorageConfigAuthMethodPassword MeetingNewParamsRecordingConfigStorageConfigAuthMethod = "PASSWORD"
Bucket stringoptional

Name of the storage medium's bucket.

Host stringoptional

SSH destination server host for SFTP type storage medium

Password stringoptional

SSH destination server password for SFTP type storage medium when auth_method is "PASSWORD". If auth_method is "KEY", this specifies the password for the ssh private key.

Path stringoptional

Path relative to the bucket root at which the recording will be placed.

Port float64optional

SSH destination server port for SFTP type storage medium

PrivateKey stringoptional

Private key used to login to destination SSH server for SFTP type storage medium, when auth_method used is "KEY"

Region stringoptional

Region of the storage medium.

Secret stringoptional

Secret key of the storage medium. Similar to access_key, it is only writeable by clients, not readable.

Username stringoptional

SSH destination server username for SFTP type storage medium

VideoConfig MeetingNewParamsRecordingConfigVideoConfigoptional
Codec MeetingNewParamsRecordingConfigVideoConfigCodecoptional

Codec using which the recording will be encoded.

One of the following:
const MeetingNewParamsRecordingConfigVideoConfigCodecH264 MeetingNewParamsRecordingConfigVideoConfigCodec = "H264"
const MeetingNewParamsRecordingConfigVideoConfigCodecVp8 MeetingNewParamsRecordingConfigVideoConfigCodec = "VP8"
ExportFile booloptional

Controls whether to export video file seperately

Height int64optional

Height of the recording video in pixels

maximum1920
minimum1
Watermark MeetingNewParamsRecordingConfigVideoConfigWatermarkoptional

Watermark to be added to the recording

Position MeetingNewParamsRecordingConfigVideoConfigWatermarkPositionoptional

Position of the watermark

One of the following:
const MeetingNewParamsRecordingConfigVideoConfigWatermarkPositionLeftTop MeetingNewParamsRecordingConfigVideoConfigWatermarkPosition = "left top"
const MeetingNewParamsRecordingConfigVideoConfigWatermarkPositionRightTop MeetingNewParamsRecordingConfigVideoConfigWatermarkPosition = "right top"
const MeetingNewParamsRecordingConfigVideoConfigWatermarkPositionLeftBottom MeetingNewParamsRecordingConfigVideoConfigWatermarkPosition = "left bottom"
const MeetingNewParamsRecordingConfigVideoConfigWatermarkPositionRightBottom MeetingNewParamsRecordingConfigVideoConfigWatermarkPosition = "right bottom"
Size MeetingNewParamsRecordingConfigVideoConfigWatermarkSizeoptional

Size of the watermark

Height int64optional

Height of the watermark in px

minimum1
Width int64optional

Width of the watermark in px

minimum1
URL stringoptional

URL of the watermark image

formaturi
Width int64optional

Width of the recording video in pixels

maximum1920
minimum1
SessionKeepAliveTimeInSecs param.Field[float64]optional

Body param: Time in seconds, for which a session remains active, after the last participant has left the meeting.

maximum600
minimum60
SummarizeOnEnd param.Field[bool]optional

Body param: Automatically generate summary of meetings using transcripts. Requires Transcriptions to be enabled, and can be retrieved via Webhooks or summary API.

Title param.Field[string]optional

Body param: Title of the meeting

ReturnsExpand Collapse
type MeetingNewResponse struct{…}
Success bool

Success status of the operation

Data MeetingNewResponseDataoptional

Data returned by the operation

ID string

ID of the meeting.

formatuuid
CreatedAt Time

Timestamp the object was created at. The time is returned in ISO format.

formatdate-time
UpdatedAt Time

Timestamp the object was updated at. The time is returned in ISO format.

formatdate-time
AIConfig MeetingNewResponseDataAIConfigoptional

The AI Config allows you to customize the behavior of meeting transcriptions and summaries

Summarization MeetingNewResponseDataAIConfigSummarizationoptional

Summary Config

SummaryType MeetingNewResponseDataAIConfigSummarizationSummaryTypeoptional

Defines the style of the summary, such as general, team meeting, or sales call.

One of the following:
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeGeneral MeetingNewResponseDataAIConfigSummarizationSummaryType = "general"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeTeamMeeting MeetingNewResponseDataAIConfigSummarizationSummaryType = "team_meeting"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeSalesCall MeetingNewResponseDataAIConfigSummarizationSummaryType = "sales_call"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeClientCheckIn MeetingNewResponseDataAIConfigSummarizationSummaryType = "client_check_in"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeInterview MeetingNewResponseDataAIConfigSummarizationSummaryType = "interview"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeDailyStandup MeetingNewResponseDataAIConfigSummarizationSummaryType = "daily_standup"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeOneOnOneMeeting MeetingNewResponseDataAIConfigSummarizationSummaryType = "one_on_one_meeting"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeLecture MeetingNewResponseDataAIConfigSummarizationSummaryType = "lecture"
const MeetingNewResponseDataAIConfigSummarizationSummaryTypeCodeReview MeetingNewResponseDataAIConfigSummarizationSummaryType = "code_review"
TextFormat MeetingNewResponseDataAIConfigSummarizationTextFormatoptional

Determines the text format of the summary, such as plain text or markdown.

One of the following:
const MeetingNewResponseDataAIConfigSummarizationTextFormatPlainText MeetingNewResponseDataAIConfigSummarizationTextFormat = "plain_text"
const MeetingNewResponseDataAIConfigSummarizationTextFormatMarkdown MeetingNewResponseDataAIConfigSummarizationTextFormat = "markdown"
WordLimit int64optional

Sets the maximum number of words in the meeting summary.

maximum1000
minimum150
Transcription MeetingNewResponseDataAIConfigTranscriptionoptional

Transcription Configurations

Keywords []stringoptional

Adds specific terms to improve accurate detection during transcription.

Language MeetingNewResponseDataAIConfigTranscriptionLanguageoptional

Specifies the language code for transcription to ensure accurate results.

One of the following:
const MeetingNewResponseDataAIConfigTranscriptionLanguageEnUs MeetingNewResponseDataAIConfigTranscriptionLanguage = "en-US"
const MeetingNewResponseDataAIConfigTranscriptionLanguageEnIn MeetingNewResponseDataAIConfigTranscriptionLanguage = "en-IN"
const MeetingNewResponseDataAIConfigTranscriptionLanguageDe MeetingNewResponseDataAIConfigTranscriptionLanguage = "de"
const MeetingNewResponseDataAIConfigTranscriptionLanguageHi MeetingNewResponseDataAIConfigTranscriptionLanguage = "hi"
const MeetingNewResponseDataAIConfigTranscriptionLanguageSv MeetingNewResponseDataAIConfigTranscriptionLanguage = "sv"
const MeetingNewResponseDataAIConfigTranscriptionLanguageRu MeetingNewResponseDataAIConfigTranscriptionLanguage = "ru"
const MeetingNewResponseDataAIConfigTranscriptionLanguagePl MeetingNewResponseDataAIConfigTranscriptionLanguage = "pl"
const MeetingNewResponseDataAIConfigTranscriptionLanguageEl MeetingNewResponseDataAIConfigTranscriptionLanguage = "el"
const MeetingNewResponseDataAIConfigTranscriptionLanguageFr MeetingNewResponseDataAIConfigTranscriptionLanguage = "fr"
const MeetingNewResponseDataAIConfigTranscriptionLanguageNl MeetingNewResponseDataAIConfigTranscriptionLanguage = "nl"
ProfanityFilter booloptional

Control the inclusion of offensive language in transcriptions.

LiveStreamOnStart booloptional

Specifies if the meeting should start getting livestreamed on start.

PersistChat booloptional

Specifies if Chat within a meeting should persist for a week.

RecordOnStart booloptional

Specifies if the meeting should start getting recorded as soon as someone joins the meeting.

RecordingConfig MeetingNewResponseDataRecordingConfigoptional

Recording Configurations to be used for this meeting. This level of configs takes higher preference over App level configs on the RealtimeKit developer portal.

AudioConfig MeetingNewResponseDataRecordingConfigAudioConfigoptional

Object containing configuration regarding the audio that is being recorded.

Channel MeetingNewResponseDataRecordingConfigAudioConfigChanneloptional

Audio signal pathway within an audio file that carries a specific sound source.

One of the following:
const MeetingNewResponseDataRecordingConfigAudioConfigChannelMono MeetingNewResponseDataRecordingConfigAudioConfigChannel = "mono"
const MeetingNewResponseDataRecordingConfigAudioConfigChannelStereo MeetingNewResponseDataRecordingConfigAudioConfigChannel = "stereo"
Codec MeetingNewResponseDataRecordingConfigAudioConfigCodecoptional

Codec using which the recording will be encoded. If VP8/VP9 is selected for videoConfig, changing audioConfig is not allowed. In this case, the codec in the audioConfig is automatically set to vorbis.

One of the following:
const MeetingNewResponseDataRecordingConfigAudioConfigCodecMP3 MeetingNewResponseDataRecordingConfigAudioConfigCodec = "MP3"
const MeetingNewResponseDataRecordingConfigAudioConfigCodecAac MeetingNewResponseDataRecordingConfigAudioConfigCodec = "AAC"
ExportFile booloptional

Controls whether to export audio file seperately

FileNamePrefix stringoptional

Adds a prefix to the beginning of the file name of the recording.

LiveStreamingConfig MeetingNewResponseDataRecordingConfigLiveStreamingConfigoptional
RtmpURL stringoptional

RTMP URL to stream to

formaturi
MaxSeconds float64optional

Specifies the maximum duration for recording in seconds, ranging from a minimum of 60 seconds to a maximum of 24 hours.

maximum86400
minimum60
RealtimekitBucketConfig MeetingNewResponseDataRecordingConfigRealtimekitBucketConfigoptional
Enabled bool

Controls whether recordings are uploaded to RealtimeKit's bucket. If set to false, download_url, audio_download_url, download_url_expiry won't be generated for a recording.

StorageConfig MeetingNewResponseDataRecordingConfigStorageConfigoptional
Type MeetingNewResponseDataRecordingConfigStorageConfigType

Type of storage media.

One of the following:
const MeetingNewResponseDataRecordingConfigStorageConfigTypeAws MeetingNewResponseDataRecordingConfigStorageConfigType = "aws"
const MeetingNewResponseDataRecordingConfigStorageConfigTypeAzure MeetingNewResponseDataRecordingConfigStorageConfigType = "azure"
const MeetingNewResponseDataRecordingConfigStorageConfigTypeDigitalocean MeetingNewResponseDataRecordingConfigStorageConfigType = "digitalocean"
const MeetingNewResponseDataRecordingConfigStorageConfigTypeGcs MeetingNewResponseDataRecordingConfigStorageConfigType = "gcs"
const MeetingNewResponseDataRecordingConfigStorageConfigTypeSftp MeetingNewResponseDataRecordingConfigStorageConfigType = "sftp"
AccessKey stringoptional

Access key of the storage medium. Access key is not required for the gcs storage media type.

Note that this field is not readable by clients, only writeable.

AuthMethod MeetingNewResponseDataRecordingConfigStorageConfigAuthMethodoptional

Authentication method used for "sftp" type storage medium

One of the following:
const MeetingNewResponseDataRecordingConfigStorageConfigAuthMethodKey MeetingNewResponseDataRecordingConfigStorageConfigAuthMethod = "KEY"
const MeetingNewResponseDataRecordingConfigStorageConfigAuthMethodPassword MeetingNewResponseDataRecordingConfigStorageConfigAuthMethod = "PASSWORD"
Bucket stringoptional

Name of the storage medium's bucket.

Host stringoptional

SSH destination server host for SFTP type storage medium

Password stringoptional

SSH destination server password for SFTP type storage medium when auth_method is "PASSWORD". If auth_method is "KEY", this specifies the password for the ssh private key.

Path stringoptional

Path relative to the bucket root at which the recording will be placed.

Port float64optional

SSH destination server port for SFTP type storage medium

PrivateKey stringoptional

Private key used to login to destination SSH server for SFTP type storage medium, when auth_method used is "KEY"

Region stringoptional

Region of the storage medium.

Secret stringoptional

Secret key of the storage medium. Similar to access_key, it is only writeable by clients, not readable.

Username stringoptional

SSH destination server username for SFTP type storage medium

VideoConfig MeetingNewResponseDataRecordingConfigVideoConfigoptional
Codec MeetingNewResponseDataRecordingConfigVideoConfigCodecoptional

Codec using which the recording will be encoded.

One of the following:
const MeetingNewResponseDataRecordingConfigVideoConfigCodecH264 MeetingNewResponseDataRecordingConfigVideoConfigCodec = "H264"
const MeetingNewResponseDataRecordingConfigVideoConfigCodecVp8 MeetingNewResponseDataRecordingConfigVideoConfigCodec = "VP8"
ExportFile booloptional

Controls whether to export video file seperately

Height int64optional

Height of the recording video in pixels

maximum1920
minimum1
Watermark MeetingNewResponseDataRecordingConfigVideoConfigWatermarkoptional

Watermark to be added to the recording

Position MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPositionoptional

Position of the watermark

One of the following:
const MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPositionLeftTop MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPosition = "left top"
const MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPositionRightTop MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPosition = "right top"
const MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPositionLeftBottom MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPosition = "left bottom"
const MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPositionRightBottom MeetingNewResponseDataRecordingConfigVideoConfigWatermarkPosition = "right bottom"
Size MeetingNewResponseDataRecordingConfigVideoConfigWatermarkSizeoptional

Size of the watermark

Height int64optional

Height of the watermark in px

minimum1
Width int64optional

Width of the watermark in px

minimum1
URL stringoptional

URL of the watermark image

formaturi
Width int64optional

Width of the recording video in pixels

maximum1920
minimum1
SessionKeepAliveTimeInSecs float64optional

Time in seconds, for which a session remains active, after the last participant has left the meeting.

maximum600
minimum60
Status MeetingNewResponseDataStatusoptional

Whether the meeting is ACTIVE or INACTIVE. Users will not be able to join an INACTIVE meeting.

One of the following:
const MeetingNewResponseDataStatusActive MeetingNewResponseDataStatus = "ACTIVE"
const MeetingNewResponseDataStatusInactive MeetingNewResponseDataStatus = "INACTIVE"
SummarizeOnEnd booloptional

Automatically generate summary of meetings using transcripts. Requires Transcriptions to be enabled, and can be retrieved via Webhooks or summary API.

Title stringoptional

Title of the meeting.

Create a meeting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  meeting, err := client.RealtimeKit.Meetings.New(
    context.TODO(),
    "app_id",
    realtime_kit.MeetingNewParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", meeting.Success)
}
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "ai_config": {
      "summarization": {
        "summary_type": "general",
        "text_format": "plain_text",
        "word_limit": 150
      },
      "transcription": {
        "keywords": [
          "string"
        ],
        "language": "en-US",
        "profanity_filter": true
      }
    },
    "live_stream_on_start": true,
    "persist_chat": true,
    "record_on_start": true,
    "recording_config": {
      "audio_config": {
        "channel": "mono",
        "codec": "MP3",
        "export_file": true
      },
      "file_name_prefix": "file_name_prefix",
      "live_streaming_config": {
        "rtmp_url": "rtmp://a.rtmp.youtube.com/live2"
      },
      "max_seconds": 60,
      "realtimekit_bucket_config": {
        "enabled": true
      },
      "storage_config": {
        "type": "aws",
        "auth_method": "KEY",
        "bucket": "bucket",
        "host": "host",
        "password": "password",
        "path": "path",
        "port": 0,
        "private_key": "private_key",
        "region": "us-east-1",
        "secret": "secret",
        "username": "username"
      },
      "video_config": {
        "codec": "H264",
        "export_file": true,
        "height": 720,
        "watermark": {
          "position": "left top",
          "size": {
            "height": 1,
            "width": 1
          },
          "url": "https://example.com"
        },
        "width": 1280
      }
    },
    "session_keep_alive_time_in_secs": 60,
    "status": "ACTIVE",
    "summarize_on_end": true,
    "title": "title"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "ai_config": {
      "summarization": {
        "summary_type": "general",
        "text_format": "plain_text",
        "word_limit": 150
      },
      "transcription": {
        "keywords": [
          "string"
        ],
        "language": "en-US",
        "profanity_filter": true
      }
    },
    "live_stream_on_start": true,
    "persist_chat": true,
    "record_on_start": true,
    "recording_config": {
      "audio_config": {
        "channel": "mono",
        "codec": "MP3",
        "export_file": true
      },
      "file_name_prefix": "file_name_prefix",
      "live_streaming_config": {
        "rtmp_url": "rtmp://a.rtmp.youtube.com/live2"
      },
      "max_seconds": 60,
      "realtimekit_bucket_config": {
        "enabled": true
      },
      "storage_config": {
        "type": "aws",
        "auth_method": "KEY",
        "bucket": "bucket",
        "host": "host",
        "password": "password",
        "path": "path",
        "port": 0,
        "private_key": "private_key",
        "region": "us-east-1",
        "secret": "secret",
        "username": "username"
      },
      "video_config": {
        "codec": "H264",
        "export_file": true,
        "height": 720,
        "watermark": {
          "position": "left top",
          "size": {
            "height": 1,
            "width": 1
          },
          "url": "https://example.com"
        },
        "width": 1280
      }
    },
    "session_keep_alive_time_in_secs": 60,
    "status": "ACTIVE",
    "summarize_on_end": true,
    "title": "title"
  }
}